dist: trusty
language: java
sudo: true
jdk:
- oraclejdk8
branches:
  only:
  - develop
  - uat
  - master
script:
- ci/./build.sh
cache:
  directories:
  - ".autoconf"
  - "$HOME/.m2"
before_install:
- openssl aes-256-cbc -K $encrypted_dd65a8bdd7a4_key -iv $encrypted_dd65a8bdd7a4_iv -in deploy_rsa.enc -out deploy_rsa -d
- eval "$(ssh-agent -s)"
- chmod 600 deploy_rsa
- ssh-add deploy_rsa
install: true
before_deploy:
- openssl aes-256-cbc -K $encrypted_dd65a8bdd7a4_key -iv $encrypted_dd65a8bdd7a4_iv -in deploy_rsa.enc -out deploy_rsa -d
- eval "$(ssh-agent -s)"
- chmod 600 deploy_rsa
- ssh-add deploy_rsa
deploy:
  provider: script
  skip_cleanup: true
  script: ci/./deploy.sh
  on:
    branch:
    - develop
    - uat
    - master
addons:
  ssh_known_hosts:
  - api.upbusiness.mx
  - api-uat.upbusiness.mx
  - api-dev.upbusiness.mx
notifications:
  slack: paloitmx:TNRnt3VBWyotbyAYebLsR20g
  on_success: change
  on_failure: always